libcdr::CDRTransform Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRTransform Class Reference

`#include <CDRTransforms.h>`

## Public Member Functions
| CDRTransform ()
| CDRTransform (double v0, double v1, double x0, double v3, double v4, double y0)
| CDRTransform (const CDRTransform &trafo)=default
CDRTransform & | operator= (const CDRTransform &trafo)=default
void | applyToPoint (double &x, double &y) const
void | applyToArc (double &rx, double &ry, double &rotation, bool &sweep, double &endx, double &endy) const
double | getScaleX () const
double | getScaleY () const
double | getTranslateX () const
double | getTranslateY () const
bool | getFlipX () const
bool | getFlipY () const
librevenge::RVNGString | toString () const

## Private Member Functions
double | _getScaleX () const
double | _getScaleY () const

## Private Attributes
double | m_v0
double | m_v1
double | m_x0
double | m_v3
double | m_v4
double | m_y0

## Constructor & Destructor Documentation

## ◆ CDRTransform() [1/3]

libcdr::CDRTransform::CDRTransform | ( |  | ) |

Referenced by CDRTransform(), and operator=().

## ◆ CDRTransform() [2/3]

libcdr::CDRTransform::CDRTransform | ( | double | v0,
|  | double | v1,
|  | double | x0,
|  | double | v3,
|  | double | v4,
|  | double | y0 )

## ◆ CDRTransform() [3/3]

libcdr::CDRTransform::CDRTransform | ( | const CDRTransform & | trafo | ) |
| default

## Member Function Documentation

## ◆ _getScaleX()

double libcdr::CDRTransform::_getScaleX | ( |  | ) | const
| private

Referenced by getFlipX(), and getScaleX().

## ◆ _getScaleY()

double libcdr::CDRTransform::_getScaleY | ( |  | ) | const
| private

Referenced by getFlipY(), and getScaleY().

## ◆ applyToArc()

void libcdr::CDRTransform::applyToArc | ( | double & | rx,
|  | double & | ry,
|  | double & | rotation,
|  | bool & | sweep,
|  | double & | endx,
|  | double & | endy ) const

Referenced by libcdr::CDRArcToElement::transform().

## ◆ applyToPoint()

void libcdr::CDRTransform::applyToPoint | ( | double & | x,
|  | double & | y ) const

Referenced by libcdr::CDRContentCollector::_flushCurrentPath(), _getScaleX(), _getScaleY(), applyToArc(), getTranslateX(), getTranslateY(), libcdr::CDRCubicBezierToElement::transform(), libcdr::CDRLineToElement::transform(), libcdr::CDRMoveToElement::transform(), libcdr::CDRQuadraticBezierToElement::transform(), and libcdr::CDRSplineToElement::transform().

## ◆ getFlipX()

bool libcdr::CDRTransform::getFlipX | ( |  | ) | const

## ◆ getFlipY()

bool libcdr::CDRTransform::getFlipY | ( |  | ) | const

## ◆ getScaleX()

double libcdr::CDRTransform::getScaleX | ( |  | ) | const

## ◆ getScaleY()

double libcdr::CDRTransform::getScaleY | ( |  | ) | const

## ◆ getTranslateX()

double libcdr::CDRTransform::getTranslateX | ( |  | ) | const

## ◆ getTranslateY()

double libcdr::CDRTransform::getTranslateY | ( |  | ) | const

## ◆ operator=()

CDRTransform & libcdr::CDRTransform::operator= | ( | const CDRTransform & | trafo | ) |
| default

## ◆ toString()

librevenge::RVNGString libcdr::CDRTransform::toString | ( |  | ) | const

## Member Data Documentation

## ◆ m_v0

double libcdr::CDRTransform::m_v0
| private

Referenced by applyToArc(), applyToPoint(), CDRTransform(), CDRTransform(), and toString().

## ◆ m_v1

double libcdr::CDRTransform::m_v1
| private

Referenced by applyToArc(), applyToPoint(), CDRTransform(), CDRTransform(), and toString().

## ◆ m_v3

double libcdr::CDRTransform::m_v3
| private

Referenced by applyToArc(), applyToPoint(), CDRTransform(), CDRTransform(), and toString().

## ◆ m_v4

double libcdr::CDRTransform::m_v4
| private

Referenced by applyToArc(), applyToPoint(), CDRTransform(), CDRTransform(), and toString().

## ◆ m_x0

double libcdr::CDRTransform::m_x0
| private

Referenced by applyToPoint(), CDRTransform(), CDRTransform(), and toString().

## ◆ m_y0

double libcdr::CDRTransform::m_y0
| private

Referenced by applyToPoint(), CDRTransform(), CDRTransform(), and toString().

The documentation for this class was generated from the following files:

- CDRTransforms.h
- CDRTransforms.cpp